﻿Public Class Utilities
    Public Shared Function Shuffle(list)
        Dim max As Integer = list.Count - 1
        Dim random As New Random()
        For x = 0 To max
            Dim rand As Integer = random.Next(0, max)
            Dim temp = list(x)
            list(x) = list(rand)
            list(rand) = temp
        Next
        Return list
    End Function

    Public Shared Function GetCardImage(card As Tuple(Of String, String), Optional hidden As Boolean = False) As Image
        If hidden Then
            Return My.Resources.blue
        End If
        Dim suit As String = card.Item1
        Dim num As String = card.Item2
        Select Case num
            Case "K"
                num = "king"
            Case "Q"
                num = "queen"
            Case "J"
                num = "jack"
            Case "A"
                num = "ace"
        End Select

        Dim img As String = suit + "_" + num
        Try
            Return My.Resources.ResourceManager.GetObject(img.ToLower())
        Catch
            Return My.Resources.blue
        End Try
    End Function
End Class